ib_rdma_lat(1)

NAME
ib_rdma_lat - RDM latency test

SYNOPSIS
ib_rdma_lat [ options ] [ server IP address ]

DESCRIPTION
This program tests the latency of RMDA write transactions.

OPTIONS

-p, --port=<port>
    listen on/connect to port <port> (default: 18515)

-d, --ib-dev=<dev>
    use IB device <dev> (default: first device found)

-i, --ib-port=<port>
    use port <port> of IB device (default: 1)

-s, --size=<size>
    size of message to exchange (default: 65536)

-t, --tx-depth=<dep>
    size of tx queue (default 100)

-n, --iters=<iters>
    number of exchanges (at least 2, default: 1000)

-I, --inline_size=<size>
    max size of message to be sent in inline mode (default 400)

-C, --report-cycles
    report times in cpu cycle units (default microseconds)

-H, --report-histogram
    print out all results (default print summary only)

-U, --report-unsorted
    (implies -H) print out unsorted results (default sorted)

-c, --cma
    use the RDMA CMA to setup the RDMA connection

-V, --version
    display version number

AUTHOR

Guy Coates  < gmpc@sanger.ac.uk >